org.apache.pdfbox.pdmodel.font

## Class FontMapping<T extends org.apache.fontbox.FontBoxFont>

- java.lang.Object
- - org.apache.pdfbox.pdmodel.font.FontMapping<T>

Direct Known Subclasses:
  CIDFontMapping

    public class FontMapping<T extends org.apache.fontbox.FontBoxFont>
    extends Object

A font mapping from a PDF font to a FontBox font.

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`FontMapping(T font, boolean isFallback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getFont()` Returns the mapped, FontBox font.
`boolean` `isFallback()` Returns true if the mapped font is a fallback, i.e.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontMapping

    public FontMapping(T font,
                       boolean isFallback)

### Method Detail

#### getFont

    public T getFont()

Returns the mapped, FontBox font. This is never null.

Returns:
  the mapped font

#### isFallback

    public boolean isFallback()

Returns true if the mapped font is a fallback, i.e. a substitute based on basic font style, such as bold/italic, rather than font name.

Returns:
  true if the mapped font is a fallback